Subject: Multiple instances of PINE + mail filters

From: "Mike A. Harris" <[email-masked]>
Date: Wed, 7 Mar 2001 01:08:27 -0500 (EST)

What happens in PINE, if you have 3 login sessions of PINE
running all on the same host, all accessing the same local mail
spool file (not nfs), and you are using incoming email filters in
PINE?  Do all three mail clients match the new message, and then
filter it in your folders?

I ask because I have procmail set up to filter some of my mail,
and procmail is also using a msgid duplicate filter with a large
enough cache to kill any dupes even if they come in a couple days
apart.  I started using PINE filters recently in addition to my
procmail rules, but the PINE filters filter different stuff than
do the procmail filters, so they should not conflict with each
other.

Oddly, I've noticed I'm getting duplicate emails recently.
Duplicates that are perfect binary duplicates of each other, same
headers/body, etcs..  I've convirmed this with diff.

There is no way in hell my dupe filter in procmail would be
letting dupes through, especially an hour apart.  I've puzzled
with the idea and thought the problem lied in the MTA, but now
I'm not so sure.  It is possible that stray PINE sessions are
staying active when my net connection goes down, and when I
connect back in, I'm ending up with multiple concurrant PINE
sessions without knowing it.  If this is the case I strongly
suspect that I am getting dupes as messages come in and get
filtered from my inbox to my folders by 2-4 copies of pine
simultaneously, and thus explaining the duplicates.

On top of that it is possible that PINE is running like this on
more than one host, and is being used via NFS as well.

Does this sound like a possible reason for my duplicate messages,
and is there a way of fixing it?  If not, I will have to go back
to all-procmail filters.  I kindof liked doing simpler filtering
in PINE though..

Then again, I could be way off base, and it could be caused by
something else...  It is my guess though that PINE's filtering
mechanism wasn't designed in such a way to allow multiple
concurrent access to the same inboxes with filters being applied
to that inbox.

Comments?

-- 
Mike A. Harris                  Shipping/mailing address:
OS Systems Engineer             190 Pittsburgh Ave., Sault Ste. Marie,
Red Hat Inc.                    Ontario, Canada, P6C 5B3
http://www.redhat.com           Phone: (705)949-2136

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------